# Events

Uiza  creates **`event`** objects containing data of the events occurred in your Uiza account that your applications might be interested in, for instance, a `live_entity` is created, a `ingest.key` is reset or a `video_entity` is deleted, etc.&#x20;

While some API requests do not cause any `event` to be created such as *Retrieve a live entity*, other APIs may generate more than one `event`. For example, when you create a live entity, a `live_entity.created`, a `live_entity.resource.accepted` and a `live_entity.ready` events will be created consecutively.

Fundamentally, an `event` is created whenever there is a change in the state of an API resource. Therefore, there are `events` created without the trigger of any API request. A `live_entity.publish` created when Uiza receives your live feed signal is triggered by your broadcasting software, not as the result of an API request.

### The event object

#### Attributes

> **`id`** *string*
>
> The unique identifier for the event.

> **`object`** *string*
>
> The type of the object which is identified by the `id`. In this case, the value to the `object` is *"event"*.&#x20;

> **`api_version`** *string*
>
> The version of the API that were used to trigger the `event`. Uiza uses this to ensure the backwards-compatibility of our APIs.

> **`created_at`** *string*
>
> The timestamp, at which the `event` is created, follows the [ISO 8601 standard](https://www.w3.org/TR/NOTE-datetime-970915).

> **`data`** *object*
>
> The object containing data of the states at the time of change of impacted resources.

> **`type`** *string*
>
> The string represents the type of the `event`. You could find the list of the event types [here](https://starboy.gitbook.io/uiza-doc/api-reference/events/types-of-event).

> **`request_id`** *string*
>
> The unique identifier for the API request triggered the event.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2020-03-26-1/api-reference/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
